<template>
    <div id="app">
        <img src="./assets/logo muehlemann-popp.svg">
        <h1>AI generated names.</h1>
        <p> Tap on the image to generate a new name. Use the slider do adjust the creativity of the generators.<p>
        <p>
            Demonstrates how a neural network can be creative. I give the neural network a list of names. The network
            discovers the patterns and
            is then able to come up with fantasy-names which often sound very real.</p>
        <div id="columns">
            <startupnames url="Startups"
                          title="Startup names"
                          :rotation-start-delay="0"
            >
                Rick Henessy provided the base for these names: <a
                    href="https://data.world/rickyhennessy/startup-names-and-descriptions">42'031 names of companies</a>.
                Logos by <a href="https://www.behance.net/vadimcarazan">Vadim Carazan</a>.
            </startupnames>

            <namegenerator url="Ortsnamen"
                           title="Swiss town names"
                           :background-image="require('./assets/town-sign.jpeg')"
                           :image-height="326"
                           font-family="Oswald, sans-serif"
                           font-color="white"
                           :font-size="{ normal: '40px', narrow: '30px' }"
                           :text-area="{ top: 64, left: 45, width: 275, height: 168 }"
                           :rotation-start-delay="500"
            >
                Training data for these names were the list of all swiss town names provided by the Swiss government
                <a href="https://www.bfs.admin.ch/bfs/de/home/grundlagen/agvch/ortschaftenverzeichnis.html">here</a>.
            </namegenerator>

            <namegenerator url="Swissnames"
                           title="Swiss girl's names"
                           :background-image="require('./assets/children-sign.jpg')"
                           :image-height="326"
                           font-family="Amatic SC, Comic Sans"
                           font-color="#96705c"
                           :font-size="{ normal: '60px', narrow: '40px' }"
                           :text-area="{ top: 153, left: 25, width: 313, height: 100 }"
                           :rotation-start-delay="1000"
            >
                Base of these names is <a
                    href="https://www.bfs.admin.ch/bfs/de/home/statistiken/bevoelkerung/geburten-todesfaelle/vornamen-schweiz.html">this
                list</a> by the Swiss Bundesamt für Statistik.
            </namegenerator>

        </div>

        <p>
            2. February 2019, <a href="https://xn--mhlemann-65a.ch/">Silvan Mühlemann</a>. Based on <a
                href="https://github.com/fchollet/deep-learning-with-python-notebooks/blob/master/8.1-text-generation-with-lstm.ipynb">this
            work</a> of François Chollet. </p>
    </div>
</template>

<script>
  import Namegenerator from './components/Namegenerator.vue';
  import Startupnames from './components/Startupnames.vue';

  export default {
    name: 'app',
    components: {
      Namegenerator,
      Startupnames
    },
    data () {
      return {
        creativity: 5,
      };
    }
  };
</script>

<style lang="scss">

    @import url('https://fonts.googleapis.com/css?family=Oswald|Roboto+Condensed|Roboto');
    @import url('https://fonts.googleapis.com/css?family=Amatic+SC');

    body {
        color: #212529;
        padding: 5vw;
        max-width: 1220px;
        margin: auto;

    }

    a, a:visited {
        color: #1066FD;
    }

    @media only screen and (max-width: 500px) {
        body {
            padding: 0;
            margin: 0;
        }

        #app {
            width: 375px;
        }

        h1, h2, p, .padding {
            padding: 0 20px;
        }
    }

    #app {
        font-family: 'Roboto', sans-serif;
    }

    #columns {
        display: flex;
        flex-wrap: wrap;
    }

    h1 {
        font-size: 30px;
    }

    a {
        text-decoration: none;
    }

</style>
